Skip to navigation

List Tag Associations of a Single Schema

View as Markdown

Lists all Tag Associations for the schema specified by the resourceId URI parameter.

Note: The response is restricted to Tags that belong to the Tag Collection specified by the tagCollectionId query string parameter.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resourceIdstringRequired

Headers

RegionenumOptionalDefaults to US

The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:

  • US - (Default) All requests without a specified region header will be directed to the US region.
  • EMEA - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Allowed values:

Query parameters

tagCollectionIdstringOptional
The ID of the Tag Collection that contains the Tags you want to list.

Response

The requested data was successfully returned.
tagsAssociationlist of objectsOptional
An array containing a list of Tag Associations of the schema.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error